pipeline {
  environment {
    registry = "zero2onebase2/karbanboard"
    registryCredential = 'dockerhub'
    dockerImage = ''
  }
  agent any
  stages {
      
      stage("clone repo") {
          steps {
              git "https://gitlab.com/venkateswarlu.v/karban-board"
          }
           
      }
    
   
    stage('Building image') {
      steps{
        sh "docker build . -t zero2onebase2/karbanboard"
        sh "docker image ls"
      }
    }
    stage('Push Image') {
      steps{
        sh "docker push zero2onebase2/karbanboard"
      }
    }
    stage('Test if we able to pull and run container') {
      steps{
        sh "docker pull zero2onebase2/todoreactimage"
        sh "docker rm -f react"
        sh "docker run -d -p 3000:3000 --name react zero2onebase2/todoreactimage"
        sh "docker exec  -e CI=true react npm test"
        sh "docker rm -f react"
      }
    }
    
  }
}